import request from '../../utils/request'

// 查询基础数据
export function selectYbStatInfo(data) {
  return request({
    url: '/ybQuery/selectYbStatInfo',
    method: 'post',
    data,
  })
}

// 查询同比/环比
export function selectYbStatRatio(data) {
  return request({
    url: '/ybQuery/selectYbStatRatio',
    method: 'post',
    data,
  })
}

// 查询图形数据
export function selectYbChart(data) {
  return request({
    url: '/ybQuery/selectYbChart',
    method: 'post',
    data,
  })
}

// 查询报表明细数据
export function selectYbStatDetail(data) {
  return request({
    url: '/ybQuery/selectYbStatDetail',
    method: 'post',
    data,
  })
}

// 查询病人明细数据
export function querySettlementInfo(data) {
  return request({
    url: '/siQuery/querySettlementInfo',
    method: 'post',
    data,
  })
}

// 查询动态数据
export function selectBarChangeData(data) {
  return request({
    url: '/ybQuery/selectBarChangeData',
    method: 'post',
    data,
  })
}

// 查询树数据
export function selectTreeData(data) {
  return request({
    url: '/ybQuery/selectTreeData',
    method: 'post',
    data,
  })
}

// 查询树所有数据
export function selectTreeAllData(data) {
  return request({
    url: '/ybQuery/selectTreeAllData',
    method: 'post',
    data,
  })
}